-- -----------------------------------------------------------
-- Corrections for script 00146 defining FK and NOT NULL
-- -----------------------------------------------------------
ALTER TABLE sod_preventive_check_wf_approval MODIFY `system` VARCHAR(8) NOT NULL;
ALTER TABLE sod_preventive_check_wf_approval MODIFY client VARCHAR(3) NOT NULL;
ALTER TABLE sod_preventive_check_wf_approval MODIFY action enum('approved','rejected') NOT NULL;
ALTER TABLE sod_preventive_check_wf_approval CHANGE COLUMN sod_preventive_check_handle handle CHAR(32) NOT NULL;
ALTER TABLE sod_preventive_check_wf_approval 
	ADD CONSTRAINT fk_sod_preventive_check_handle FOREIGN KEY (handle) REFERENCES sod_preventive_check(handle);
